<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<parent>
		<groupId>eu.dnetlib</groupId>
		<artifactId>dnet-container-parent</artifactId>
		<version>2.0.0-SNAPSHOT</version>
		<relativePath></relativePath>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<groupId>eu.dnetlib</groupId>
	<artifactId>dnet-ariadneplus-container</artifactId>
	<packaging>war</packaging>
	<version>1.0.0-SNAPSHOT</version>
	<scm>
		<developerConnection>scm:svn:https://svn.driver.research-infrastructures.eu/driver/dnet50/webapps/dnet-ariadneplus-container/trunk</developerConnection>
	</scm>

	<dependencies>
		<dependency>
			<groupId>commons-beanutils</groupId>
			<artifactId>commons-beanutils</artifactId>
			<version>1.9.2</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-web</artifactId>
			<version>4.2.2.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-config</artifactId>
			<version>4.2.2.RELEASE</version>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-tx</artifactId>
			<version>${spring.version}</version>
		</dependency>

		<dependency>
			<groupId>eu.dnetlib</groupId>
			<artifactId>dnet-ariadneplus</artifactId>
			<version>[1.0.0-SNAPSHOT, 2.0.0-SNAPSHOT)</version>
		</dependency>

		<dependency>
			<groupId>eu.dnetlib</groupId>
			<artifactId>dnet-data-services</artifactId>
			<version>[2.0.0-SAXONHE-SNAPSHOT, 3.0.0-SAXON-SNAPSHOT)</version>
		</dependency>

		<dependency>
			<groupId>eu.dnetlib</groupId>
			<artifactId>dnet-modular-uis</artifactId>
			<version>[2.0.0-SAXONHE-SNAPSHOT, 3.0.0-SAXON-SNAPSHOT)</version>
		</dependency>

		<dependency>
			<groupId>eu.dnetlib</groupId>
			<artifactId>dnet-information-service</artifactId>
			<version>[2.0.0-SAXONHE-SNAPSHOT, 3.0.0-SAXON-SNAPSHOT)</version>
			<exclusions>
				<exclusion>
					<groupId>org.apache.logging.log4j</groupId>
					<artifactId>log4j-slf4j-impl</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>eu.dnetlib</groupId>
			<artifactId>dnet-data-provision-services</artifactId>
			<version>[2.0.0-SAXONHE-SNAPSHOT, 3.0.0-SAXON-SNAPSHOT)</version>
		</dependency>	
		<dependency>
			<groupId>xerces</groupId>
			<artifactId>xercesImpl</artifactId>
			<version>2.11.0</version>
			<scope>compile</scope>
		</dependency>

		<!-- javamelody-core -->
		<dependency>
			<groupId>net.bull.javamelody</groupId>
			<artifactId>javamelody-core</artifactId>
			<version>1.65.0</version>
		</dependency>
		<!-- itext, option to add PDF export -->
		<dependency>
			<groupId>com.lowagie</groupId>
			<artifactId>itext</artifactId>
			<version>2.1.7</version>
			<exclusions>
				<exclusion>
					<artifactId>bcmail-jdk14</artifactId>
					<groupId>bouncycastle</groupId>
				</exclusion>
				<exclusion>
					<artifactId>bcprov-jdk14</artifactId>
					<groupId>bouncycastle</groupId>
				</exclusion>
				<exclusion>
					<artifactId>bctsp-jdk14</artifactId>
					<groupId>bouncycastle</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>[1.6.4]</version>
		</dependency>
		
		<dependency>
			<groupId>eu.dnetlib</groupId>
			<artifactId>dnet-basic-aggregator</artifactId>
			<version>1.0.0-SNAPSHOT</version>
		</dependency>

	</dependencies>
</project>
